<?php
require_once("../includes/bootstrap.php");
$sesion = new sesion();
$academia = bootstrap::initBd($sesion->get('anio'));
$tipo_usuario = $sesion->getVar('ac_tipo_user');
$numdocus = $sesion->getVar('ac_identidad');
$sesion->set('permiso', permisos($_POST['privilegio']));
$nomgrupo = $sesion->getVar('configuracion.nombres_grupos');

$sql = "SELECT
			view_datos_grupos.nom_sede,
			aca_asignaturasxgrupos.cod_asigxgrupo
			, view_datos_grupos.nom_jornada
			, concat_ws(' ',view_datos_grupos.nom_grado, view_datos_grupos.nom_grupo_let) as grupo
			, aca_asignaturas.nom_asi
			, pro_profesores.ide_profesor
			, lcase(CONCAT_WS(' ',pro_profesores.ap1_pro,pro_profesores.ap2_pro,pro_profesores.no1_pro,pro_profesores.no2_pro)) AS nom_ape_pro
			, aca_asignaturasxgrupos.ihs,
			aca_asignaturasxgrupos.id_escala as escala,
			aca_asignaturasxgrupos.num_evaluaciones,
			(SELECT MIN(aca_detalles_escalas.nota_min) FROM aca_detalles_escalas WHERE aca_detalles_escalas.id_escala=escala) AS nmin,
			(SELECT MAX(aca_detalles_escalas.nota_max) FROM aca_detalles_escalas WHERE aca_detalles_escalas.id_escala=escala) AS nmax,
			(SELECT aca_detallesxperiodo.periodo_calif FROM aca_detallesxperiodo WHERE aca_detallesxperiodo.estado_per=1 AND aca_detallesxperiodo.cod_asigxgrupo=aca_asignaturasxgrupos.cod_asigxgrupo) AS perac
		FROM
			aca_asignaturasxgrupos
			INNER JOIN pro_profesores 
				ON (aca_asignaturasxgrupos.cod_profesor = pro_profesores.cod_profesor)
			INNER JOIN view_datos_grupos 
				ON (aca_asignaturasxgrupos.cod_grupo = view_datos_grupos.cod_grupo)
			INNER JOIN aca_asignaturas 
				ON (aca_asignaturasxgrupos.cod_asi = aca_asignaturas.cod_asi)
		WHERE pro_profesores.ide_profesor='$numdocus'
		ORDER BY aca_asignaturas.pri_asi ASC";
//echo $sql;
$permisos = str_split($sesion->get('permiso'));
if (!in_array("P", $permisos) || !in_array("M", $permisos) || !in_array("S", $permisos)) {
    echo '<div class="alert alert-block">
            <h4>Ups!!</h4>
            Usted no tiene permiso para acceder a este modulo...
    </div>';
    exit();
}
cache();
?>
<script type="text/javascript">
    $(function() {
        var modulo = "mod_exp_planilla_docxmat/";
        var objPeriodo = $("#md_txtper");

<?php if ($tipo_usuario != 1): ?>

            var gridRepMatxDoc = $('#list_tbMatxdoc').jqGrid({
                height: 340,
                url: modulo + 'list_matxdoc.php',
                datatype: "json",
                mtype: 'GET',
                rowNum: 25,
                rowList: [15, 30, 50,500],
                pager: '#pager_matxdoc',
                sortname: 'aca_asignaturasxgrupos.cod_grupo',
                viewrecords: true,
                sortorder: "asc",
                editurl: '',
                caption: 'Lista de materias por docente',
                rownumbers: true,
                grouping: true,
                shrinkToFit: false,
                groupingView: {
                    groupField: ['nom_grado'],
                    groupCollapse: true,
                    groupText: ['<i><b>{0}</b> Total H. {ihs} </i>'],
                    groupSummary: [false, false],
                    showSummaryOnHide: false,
                    groupColumnShow: [false],
                },
                colNames: ['Docente', 'Materia', 'Sede', 'Jornada', 'Curso-Grupo', 'IHS', 'Cedula', '', '', '', ''],
                colModel: [
                    {name: 'nom_ape_pro', index: 'nom_ape_pro', resizable: false, width: 5},
                    {name: 'nom_asi', index: 'nom_asi', resizable: false, width: 250},
                    {name: 'nom_sede', index: 'nom_sede', width: 190},
                    {name: 'nom_jornada', index: 'nom_jornada', width: 100},
                    {name: 'nom_grado', index: 'nom_grado', width: 150},
                    {name: 'ihs', index: 'ihs', resizable: false, width: 50, formatter: 'integer', summaryType: 'sum'},
                    {name: 'esc', index: 'esc', resizable: false, width: 50, hidden: true, },
                    {name: 'nmi', index: 'nmi', resizable: false, width: 50, hidden: true, },
                    {name: 'nma', index: 'nma', resizable: false, width: 50, hidden: true, },
                    {name: 'pac', index: 'pac', resizable: false, width: 50, hidden: true, },
                    {name: 'ide_profesor', index: 'ide_profesor', resizable: false, width: 80, hidden: true, searchoptions: {searchhidden: true}},
                ],
                loadComplete: function(dt) {
                    $("option", objPeriodo).remove();
                    var nper = parseInt(dt.numper);
                    for (i = 1; i <= nper; i++) {
                        objPeriodo.append('<option value="' + i + '">' + i + '</option>');
                    }
                },
                onSelectRow: function(row) {
                    var pac = gridRepMatxDoc.getCell(row, 'pac');
                    $("option[value=" + pac + "]", objPeriodo).attr("selected", true);
                }
            });
            gridRepMatxDoc.navGrid('#pager_matxdoc', {add: false, edit: false, del: false}, {}, {}, {}, {});
            $("#md_n_txtsedes_rep").change(function() {
                gridRepMatxDoc.setGridParam({
                    postData: {
                        id: $(this).val()
                    }
                }).trigger("reloadGrid");
                if ($(this).val() == '0x') {
                    gridRepMatxDoc.showCol(["nom_sede"]).setGridWidth(790);
                } else {
                    gridRepMatxDoc.hideCol(["nom_sede"]).setGridWidth(595);
                }
            });
<?php if (in_array("P", $permisos) && in_array("M", $permisos) && in_array("S", $permisos)) { ?>            
            $("#btnExpPln").on("click", function() {
                var cdrow = gridRepMatxDoc.getGridParam('selrow');
                if (!cdrow) {
                    jAlert(dtsLang.boletines.sel_rec, dtsLang.project.empresa);
                    return false;
                }
                var dts = gridRepMatxDoc.getRowData(cdrow);
                param = "?sede=" + dts.nom_sede;
                param += "&jorn=" + dts.nom_jornada;
                param += "&grado=" + dts.nom_grado;
                param += "&mat=" + dts.nom_asi;
                param += "&idmat=" + cdrow;
                param += "&doc=" + dts.nom_ape_pro;
                param += "&periodo=" + objPeriodo.val();
                param += "&nmin=" + dts.nmi;
                param += "&nmax=" + dts.nma;
                param += "&esc=" + dts.esc;
                $("#objDescargas").attr("src", modulo + 'export_planilla_xls.php' + param);
            });
<?php } ?>
    <?php
else:
    echo '$("#pnc").panel();';
    ?>

            $(document).ready(function(e) {
                var nper = parseInt($("#nper").text());
                $("input[type=radio]").first().attr('checked', true);

                for (i = 1; i <= nper; i++) {
                    objPeriodo.append('<option value="' + i + '">' + i + '</option>');
                }
                $("table#dtSo tr").on("click", function() {
                    $("input[type=radio]", this).first().attr('checked', true);
                });

            });

    <?php if (in_array("P", $permisos) && in_array("M", $permisos) && in_array("S", $permisos)) { ?>
                $("#btnExpPln").on("click", function(e) {
                    e.preventDefault();
                    var dts = $("input[type=radio][name=opcpln]:checked").data('options');
                    param = "?sede=" + dts.nom_sede;
                    param += "&jorn=" + dts.nom_jornada;
                    param += "&grado=" + dts.nom_grado;
                    param += "&mat=" + dts.nom_asi;
                    param += "&idmat=" + dts.cdrow;
                    param += "&doc=" + dts.nom_ape_pro;
                    param += "&periodo=" + objPeriodo.val();
                    param += "&nmin=" + dts.nmi;
                    param += "&nmax=" + dts.nma;
                    param += "&esc=" + dts.esc;
                    $("#objDescargas").attr("src", modulo + 'export_planilla_xls.php' + param);
                    return false;
                });
    <?php } ?>
<?php
endif;
?>
    })
</script>
<?php
if ($tipo_usuario == 1):
    ?>

    <div id="pnc" class="easyui-panel" title="Generar planilla de notas" style="width:650px;padding:10px;">	
        <table align="right"><tr><td>
                    <div class="tit1"><?php echo $dtsLang['reportes']['lbl_rep_periodo'] ?></div>
                    <select name="md_txtper" class="campos" id="md_txtper" style="width:100px;" >
                    </select>
                </td><td valign="bottom">
                    <?php if (in_array("P", $permisos) && in_array("M", $permisos) && in_array("S", $permisos)) { ?>
                        <button id="btnExpPln" type="button" class="btn btn-success">
                            <i class="icon-excel icon-white"></i>
                            <span>Exportar planilla</span>
                        </button>
                    <?php } ?>
                </td></tr>
        </table>
        <table border="0" cellspacing="0" cellpadding="0" id="dtSo" class="table table-bordered table-condensed table-striped table-hover">
            <thead>
                <tr style="background-color:#CCC">
                    <th>Sede</th>
                    <th>Jornada</th>
                    <th>Grupo</th>
                    <th>Asignatura</th>
                    <th title="Insensidad Horaria Semanal" style="text-align:right">I.H.S</th>
                    <th></th>
                </tr>
            </thead>
            <?php
            $academia->instruccion($sql);
            $nmper = 0;
            while ($reg = $academia->extraer_registro()) {
                $dts = array(
                    'nom_sede' => $reg['nom_sede'],
                    'nom_jornada' => $reg['nom_jornada'],
                    'nom_grado' => $reg['grupo'],
                    'nom_asi' => $reg['nom_asi'],
                    'cdrow' => $reg['cod_asigxgrupo'],
                    'nom_ape_pro' => $reg['nom_ape_pro'],
                    'nmi' => $reg['nmin'],
                    'nma' => $reg['nmax'],
                    'esc' => $reg['escala'],
                );
                echo "<tr class='opera'>	
						<td>" . $reg['nom_sede'] . "</td>
						<td>" . $reg['nom_jornada'] . "</td>
						<td>" . $reg['grupo'] . "</td>
						<td>" . $reg['nom_asi'] . "</td>
						<td style='text-align:right'>" . $reg['ihs'] . "</td>
						<td style='text-align:center'>";
                echo "<input type='radio' name='opcpln' data-options='" . json_encode($dts) . "'></td>";
                echo "</tr>";
                if ($nmper < $reg['num_evaluaciones']) {
                    $nmper = $reg['num_evaluaciones'];
                }
            }
            echo "<div id='nper' style='display:none'>$nmper</div>";
            ?>			
        </table>	
    </div>
<?php else: ?>
    <table border="0" cellspacing="3" cellpadding="2">
        <tr>
            <td>
                <div class="tit1"><?php echo $dtsLang['globals']['name_sede'] ?></div>
                <select name="md_n_txtsedes_rep" class="campos" id="md_n_txtsedes_rep" style="width:400px;" >
                    <?php
                    $sql = "SELECT DISTINCT
					adm_sedes.cod_sede,
					lcase(adm_sedes.nom_sede) as nom_sede
					FROM
					adm_sedes
					INNER JOIN aca_grupos ON aca_grupos.cod_sede = adm_sedes.cod_sede
					INNER JOIN aca_asignaturasxgrupos ON aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo";
                    $academia->instruccion($sql);
                    echo "<option value='0x'>Todas</option>";
                    while ($reg = $academia->extraer_registro()) {
                        echo "<option value='" . $reg['cod_sede'] . "'>" . ucwords($reg['nom_sede']) . "</option>";
                    }
                    $academia->liberar();
                    $academia->cerrar();
                    ?>
                </select>

            </td>
            <td align="left" valign="bottom">
                <div class="tit1"><?php echo $dtsLang['reportes']['lbl_rep_periodo'] ?></div>
                <select name="md_txtper" class="campos" id="md_txtper" style="width:100px;" >
                </select>
            </td>
            <td align="center" valign="bottom">
                <?php if (in_array("P", $permisos) && in_array("M", $permisos) && in_array("S", $permisos)) { ?>
                <button id="btnExpPln" type="button" class="btn btn-success">
                    <i class="icon-excel icon-white"></i>
                    <span>Exportar planilla</span>
                </button>
                <?php } ?>
            </td>
        </tr>
    </table>
    <table id="list_tbMatxdoc"></table>  
    <div id="pager_matxdoc"></div>

<?php
endif;
?>